<?php 
/* 
Copyright (C) 2009 Anja S. Gritz <http://www.goeritz.net>
This file is part of phpPanelAdmin.

phpPanelAdmin is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

phpPanelAdmin is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with phpPanelAdmin. If not, see <http://www.gnu.org/licenses/>.
*/

/* the following three settings pertain to the registration form for new panelists: */

/* Set the value of the following allfieldsfull-variable to "true" if you want to validate each submitted form elementto make sure that it has not been left blank. If you do not wish any validation leave value at "false" */
$allfieldsfull=false; 

/* edit the thank you text that is shown after people have signed-up in the panel */
$thank_you_text='Thank you for registering with the panel.';

/* Set the value of the following emailconfirm-variable to "true" if you would 
like to send a confirmation email to new panelists. In this case, your sign-up
form needs to contain a field called "email" and your server needs to be set 
up to be able to send e-mail. Otherwise leave value at "false" */
$emailconfirm=false; 

/* edit the subject and body of the confirmation e-mail; \n means line break 
variables from the registration form may be included as 
$_POST[name_of_variable_in_registration_form] for example: $_POST[email] */
$subject = '[Panel] Confirmation of Registration';
$body = "Hi $_POST[first_name],\n\nThank you for registering with us.\n
This is the e-mail address you have registered with us:\n$_POST[email]\n
Kind regards!\nThe Panel Team\n";

/* Set the value of the following optout-variable to "true" if you would 
like to switch on the opt-out procedure for panelists. Otherwise leave value at "false" */
$optout=false; 

/* edit the snippet for the opt-out procedure */
$snippet_optout = "\n\nIf you ever want to quit your membership click this link:\n";

/* edit the confirmation text that is shown after people have opted out of the panel */
$optout_text='Your profile has been deleted.';

/* do not edit: compile reg_urlcode from following characters and 
write it character by character into variable $reg_urlcode */  
$urlcode_characters = 'abcdefghjklmnopqrstuvwxyz._-~23456789';
$reg_urlcode='';
for ($co = 0; $co < 15; $co++) 
{$reg_urlcode .= $urlcode_characters{mt_rand (0,strlen($urlcode_characters)-1)};}

/* Signup form */
/* if needed, enter more default variables according to the template in the 
next line, or delete unwanted default variables 
$default_variables[name of variable] = array ("MySQL format of variable", "function to determine value of variable"); */
$default_variables['reg_date'] = array ("DATE", "".date('Y-m-d')."");
$default_variables['reg_time'] = array ("VARCHAR(8)", "".date('G:i:s')."");
$default_variables['reg_ip'] = array ("VARCHAR(15)", "$_SERVER[REMOTE_ADDR]");
$default_variables['reg_browser'] = array ("TINYTEXT", "$_SERVER[HTTP_USER_AGENT]");
/* the following variable is necessary for using the opt-out procedure */
$default_variables['reg_urlcode'] = array ("VARCHAR(15)", "$reg_urlcode");

/* if needed, enter more input fields in plain HTML with descriptive names, 
or delete unwanted fields from the variable "form_fields" */
$form_fields='
First Name: <br>
<input name="first_name" type="text" size="40" value=""><br><br>
E-mail: <br>
<input name="email" type="text" size="40" value=""><br><br>
Gender: <br>
<input name="gender" type="hidden" value="0">
<input name="gender" type="radio" value="1">female
<input name="gender" type="radio" value="2">male
<br><br>
How did you find us? <br>
<textarea name="how_did_you_find_us" cols="30" rows="2"></textarea><br><br>
Your country? <br>
<select name="country">
 <option value="" selected>Select ...</option>
 <option value="1">Germany</option>
 <option value="2">Not from Germany</option>
</select><br><br>
<input name="agree" type="checkbox" value="1"> I agree to the terms and conditions of this panel. 
<br><br>
';

/* Sign-up Form Validation */
/* if needed, add more sophisticated input validation for particular fields; 
make sure these fields exist in sign-up form */
function more_input_valid()
{
	if ($_POST['email']) //form field called "email" exists
	{
		if //email does not contain "@" or "."
		(!ereg(".+\@.+\..+", $_POST['email']) || (!ereg("^[a-zA-Z0-9_@.-]+$", $_POST['email'])))
		{
		echo "Please enter a valid e-mail address:";
		echo '<br><br><a href="javascript:history.back()">go back</a>';
		exit;	
		}
	}
	/* if needed, add more sophisticated input validations for 
	specific fields according to template for email above */
}
?>